ARG LEAP_VERSION

FROM opensuse/leap:${LEAP_VERSION}

RUN \
    zypper ref && \
    zypper in -y \
    bzip2 \
    doxygen \
    git \
    ghostscript-fonts-std \
    ghostscript-fonts-std-converted \
    graphviz \
    graphviz-gd \
    graphviz-gnome \
    gtest \
    gzip \
    inkscape \
    make \
    python3-pip \
    texlive \
    texlive-amsmath \
    texlive-babel-english \
    texlive-babel-french \
    texlive-babel-german \
    texlive-beamer \
    texlive-koma-script \
    texlive-latex \
    texlive-listings \
    texlive-makeindex \
    texlive-makeindex-bin \
    texlive-metafont \
    texlive-mfware \
    texlive-nomencl \
    texlive-rcsinfo \
    texlive-SIunits \
    transfig \
    unzip \
    wget \
    && zypper clean -a

RUN pip3 install -U \
    doxyqml \
    nose2>=0.10.0 \
    pre-commit
